<Project Sdk="Microsoft.NET.Sdk">

	<PropertyGroup>
		<OutputType>WinExe</OutputType>
		<TargetFramework>net8.0-windows</TargetFramework>
		<Nullable>enable</Nullable>
		<UseWindowsForms>true</UseWindowsForms>
		<ImplicitUsings>enable</ImplicitUsings>
	</PropertyGroup>

	<ItemGroup>
		<None Remove="appsettings.json" />
	</ItemGroup>

	<ItemGroup>
		<Content Include="appsettings.json">
			<CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
		</Content>
	</ItemGroup>
	<ItemGroup>
		<Reference Include="CloudBuilder.Core">
			<HintPath>..\CloudBuilder.Core\bin\Debug\net8.0\CloudBuilder.Core.dll</HintPath>
		</Reference>
		<Reference Include="CloudBuilder.Gui">
		  <HintPath>..\CloudBuilder.Gui\bin\Debug\net8.0-windows\CloudBuilder.Gui.dll</HintPath>
		</Reference>
		<Reference Include="CloudBuilder.Request">
		  <HintPath>..\CloudBuilder.Request\bin\Debug\net8.0\CloudBuilder.Request.dll</HintPath>
		</Reference>
		<Reference Include="CloudBuilder.Security">
		  <HintPath>..\CloudBuilder.Security\bin\Debug\net8.0\CloudBuilder.Security.dll</HintPath>
		</Reference>
		<Reference Include="CloudBuilder.Security.Gui">
		  <HintPath>..\CloudBuilder.Security.Gui\bin\Debug\net8.0-windows\CloudBuilder.Security.Gui.dll</HintPath>
		</Reference>
	</ItemGroup>
	<ItemGroup>
		<PackageReference Include="Krypton.Docking" Version="85.24.10.288" />
		<PackageReference Include="Krypton.Navigator" Version="85.24.10.288" />
		<PackageReference Include="Krypton.Ribbon" Version="85.24.10.288" />
		<PackageReference Include="Krypton.Toolkit" Version="85.24.10.288" />
		<PackageReference Include="Krypton.Workspace" Version="85.24.10.288" />
		<PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="8.0.0" />
		<PackageReference Include="Microsoft.AspNetCore.Authorization" Version="8.0.0" />
		<PackageReference Include="Microsoft.AspNetCore.SpaServices.Extensions" Version="8.0.0" />
		<PackageReference Include="Microsoft.AspNetCore.Mvc.NewtonsoftJson" Version="8.0.0" />
		<PackageReference Include="Microsoft.EntityFrameworkCore" Version="8.0.0" />
		<PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="8.0.0" />
		<PackageReference Include="Microsoft.Extensions.Configuration" Version="8.0.0" />
		<PackageReference Include="Microsoft.Extensions.Configuration.Binder" Version="8.0.0" />
		<PackageReference Include="Microsoft.Extensions.Configuration.Json" Version="8.0.0" />
		<PackageReference Include="Microsoft.Extensions.DependencyInjection" Version="8.0.0" />
		<PackageReference Include="Microsoft.Extensions.DependencyInjection.Abstractions" Version="8.0.0" />
		<PackageReference Include="Microsoft.Extensions.DependencyModel" Version="8.0.0" />
		<PackageReference Include="Microsoft.Extensions.Http" Version="8.0.0" />
		<PackageReference Include="ClosedXML" Version="0.102.1" />
		<PackageReference Include="Microsoft.Web.WebView2" Version="1.0.3351.48" />
		<PackageReference Include="System.Drawing.Common" Version="8.0.0" />
	</ItemGroup>
</Project>